--------------------------------------------------------------------
-- UI Changes
--------------------------------------------------------------------


function Glance.Functions.moveUI()
	local point, relativeTo, relativePoint, xOfs, yOfs
	if Glance_Options.moveUI then
		-- move player frame down
		-------------------------
		point, relativeTo, relativePoint, xOfs, yOfs = PlayerFrame:GetPoint(1)
		PlayerFrame:ClearAllPoints()
		PlayerFrame:SetPoint("TOPLEFT", Glance.Frames.mainFrame, "BOTTOMLEFT", xOfs, yOfs)

		-- move target frame down
		-------------------------
		point, relativeTo, relativePoint, xOfs, yOfs = TargetFrame:GetPoint(1)
		TargetFrame:ClearAllPoints();
		TargetFrame:SetPoint("TOPLEFT", Glance.Frames.mainFrame, "BOTTOMLEFT", xOfs, yOfs)

		-- move buffs frame down
		-------------------------
		point, relativeTo, relativePoint, xOfs, yOfs = BuffFrame:GetPoint(1)
		BuffFrame:ClearAllPoints();
		BuffFrame:SetPoint("TOPRIGHT", Glance.Frames.mainFrame, "BOTTOMRIGHT", xOfs, yOfs)

		-- move the minimap
		-------------------------
		point, relativeTo, relativePoint, xOfs, yOfs = MinimapCluster:GetPoint(1)
		MinimapCluster:ClearAllPoints();
		MinimapCluster:SetPoint("TOPRIGHT", Glance.Frames.mainFrame, "BOTTOMRIGHT", xOfs, yOfs)

	else
		
		-- reset player frame
		-------------------------
		x = PlayerFrame:GetLeft() - UIParent:GetLeft()
		PlayerFrame:ClearAllPoints()
		PlayerFrame:SetPoint("TOPLEFT", UIParent, "TOPLEFT", x, -4)

		-- reset target frame
		-------------------------
		x = TargetFrame:GetLeft() - UIParent:GetLeft()
		TargetFrame:ClearAllPoints();
		TargetFrame:SetPoint("TOPLEFT", UIParent, "TOPLEFT", x, -4)

		-- reset buffs frame
		-------------------------
		x = BuffFrame:GetRight() - UIParent:GetRight()
		BuffFrame:ClearAllPoints();
		BuffFrame:SetPoint("TOPRIGHT", UIParent, "TOPRIGHT", x, -13)

		-- reset the minimap
		-------------------------
		x = MinimapCluster:GetRight() - UIParent:GetRight()
		MinimapCluster:ClearAllPoints();
		MinimapCluster:SetPoint("TOPRIGHT", UIParent, "TOPRIGHT", "RIGHT", 0)

	end
end
